aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2018-07-25 14:52:52 +1200
committerTom Ryder <tom@sanctum.geek.nz>2018-07-25 14:52:52 +1200
commitdf054c2839260c6b3de1328c9f7a47900c0db1e8 (patch)
tree8303a657363f4e8e38258bd141c8c0a3f0457016 /bash
parentUpdate colon_operator.vim plugin (diff)
downloaddotfiles-df054c2839260c6b3de1328c9f7a47900c0db1e8.tar.gz
dotfiles-df054c2839260c6b3de1328c9f7a47900c0db1e8.zip
Stamp down three new ShellCheck 0.5.0 errors
All of these are false positives.
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc.d/pushd.bash2
-rw-r--r--bash/bashrc.d/vared.bash2
2 files changed, 2 insertions, 2 deletions
diff --git a/bash/bashrc.d/pushd.bash b/bash/bashrc.d/pushd.bash
index ec621037..4a6e4be3 100644
--- a/bash/bashrc.d/pushd.bash
+++ b/bash/bashrc.d/pushd.bash
@@ -1,4 +1,4 @@
# Make pushd default to $HOME if no arguments given, much like cd
pushd() {
- builtin pushd "${@:-"$HOME"}"
+ builtin pushd "${@:-"$HOME"}" || return
}
diff --git a/bash/bashrc.d/vared.bash b/bash/bashrc.d/vared.bash
index 9159485b..e024f48a 100644
--- a/bash/bashrc.d/vared.bash
+++ b/bash/bashrc.d/vared.bash
@@ -25,6 +25,6 @@ vared() {
fi
local name
for name ; do
- IFS= read -e -i "${!name}" -p "${prompt:-"$name"=}" -r -- "$name"
+ IFS= read -e -i "${!name}" -p "${prompt:-"$name"=}" -r -- "${name?}"
done
}